| Home · All Classes · All Namespaces · Modules · Functions · Files

# SupportedSocketMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- SupportedSocketMap ()
- SupportedSocketMap (const QMap< uint, UIntList > &a)
- SupportedSocketMap & operator= (const QMap< uint, UIntList > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, UIntList>, but needed to have a discrete type in the Qt4 type system.

The supported socket address and access-control types for tubes. See GetAvailableStreamTubeTypes.

## Constructor & Destructor Documentation

SupportedSocketMap | ( |  | ) | `[inline]`

SupportedSocketMap | ( | const QMap< uint, UIntList > & | a | ) | `[inline]`

## Member Function Documentation

SupportedSocketMap& operator= | ( | const QMap< uint, UIntList > & | a | ) | `[inline]`